# Generated from todoplicator-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name todoplicator

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Duplicate to-dos between popular to-do tools
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(guard-rspec) >= 4.7
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(terminal-notifier-guard) >= 1.7
# BuildRequires: rubygem(terminal-notifier-guard) < 2
# BuildRequires: rubygem(pry-doc) >= 0.13
# BuildRequires: rubygem(pry-doc) < 1
# BuildRequires: rubygem(vcr) >= 3.0
# BuildRequires: rubygem(vcr) < 4
# BuildRequires: rubygem(webmock) >= 2.1
# BuildRequires: rubygem(webmock) < 3
# BuildRequires: rubygem(rubocop) >= 0.57
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Duplicate to-dos between popular to-do tools.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/todoplicator
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/todoplicator.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.0-1
- Initial package
